# Function NoisyPolygonFactory

- NoisyPolygonFactory(
  vertexCount: number,
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  ): typeof PolygonBase & NoisyPolygonBase

  #### Parameters

  - vertexCount: number
  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]

  #### Returns typeof PolygonBase & NoisyPolygonBase

  - Defined in drawables/shapes/noisy-polygon-factory.ts:16